<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Abstract Action Controller to handle errors/exceptions by using custom view
 * to display errors.
 * 
 * @see http://www.mittwald.de/typo3-dokumentation/
 * 
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * 
 */
class Tx_ExtBibsonomyCsl_Controller_AbstractActionController 
                        extends Tx_Extbase_MVC_Controller_ActionController {
    
    /**
	 * Custom error view
	 * 
	 * @param Tx_ExtBibsonomyCsl_Domain_Exception_AbstractException $e 
	 */
    protected function handleError(Tx_ExtBibsonomyCsl_Domain_Exception_AbstractException $e) {
        
        $controllerContext = $this->buildControllerContext();
        $controllerContext->getRequest()->setControllerName('Default');
        $controllerContext->getRequest()->setControllerActionName('error');
        $this->view->setControllerContext($controllerContext);

        $content = $this->view->assign('exception', $e)->render('error');
        $this->response->appendContent($content);
    }
	
    /**
	 * @override 
	 */
    protected function callActionMethod() {
        try { 
            parent::callActionMethod(); 
           
        }
        catch(Tx_ExtBibsonomyCsl_Domain_Exception_AbstractException $e) {
                $this->handleError($e);
        }
        
    }
}

?>