<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2012 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 *
 * @package ext_bibsonomy_csl
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @author Sebastian Böttger
 */
class Tx_ExtBibsonomyCsl_Domain_Model_Publication 
							extends Tx_Extbase_DomainObject_AbstractValueObject {

	/**
	 * id
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $id;

	/**
	 * title
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $title;

	/**
	 * year
	 *
	 * @var string
	 */
	protected $year;

	/**
	 * jsonSource
	 *
	 * @var string
	 * @validate NotEmpty
	 */
	protected $jsonSource;

	/**
	 * Returns the id
	 *
	 * @return string $id
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * Sets the id
	 *
	 * @param string $id
	 * @return void
	 */
	public function setId($id) {
		$this->id = $id;
	}

	/**
	 * Returns the title
	 *
	 * @return string $title
	 */
	public function getTitle() {
		return $this->title;
	}

	/**
	 * Sets the title
	 *
	 * @param string $title
	 * @return void
	 */
	public function setTitle($title) {
		$this->title = $title;
	}

	/**
	 * Returns the year
	 *
	 * @return string $year
	 */
	public function getYear() {
		return $this->year;
	}

	/**
	 * Sets the year
	 *
	 * @param string $year
	 * @return void
	 */
	public function setYear($year) {
		$this->year = $year;
	}

	/**
	 * Returns the jsonSource
	 *
	 * @return string $jsonSource
	 */
	public function getJsonSource() {
		return $this->jsonSource;
	}

	/**
	 * Sets the jsonSource
	 *
	 * @param string $jsonSource
	 * @return void
	 */
	public function setJsonSource($jsonSource) {
		$this->jsonSource = $jsonSource;
	}

	/**
	 * compares year for php sorting function
	 * 
	 * @param Tx_ExtBibsonomyCsl_Domain_Model_Publication $b
	 * @return integer
	 */
	public function cmpYear(Tx_ExtBibsonomyCsl_Domain_Model_Publication $b) {
		return $this->getYear() > $b->getYear() ? 1 : -1;
	}
	
	/**
	 * compares extrytype for php sorting function
	 * 
	 * @todo: implement, if attribute entrytype is implemented in Bibsonomy API
	 * 
	 * @param Tx_ExtBibsonomyCsl_Domain_Model_Publication $b 
	 * @return integer
	 */
	public function cmpEntrytype(Tx_ExtBibsonomyCsl_Domain_Model_Publication $b) {
		return 0;
	}

}

?>